.theme-body {
  .theme-block {
    .content-wrapper {
      top: 0;
      transform: none;
      background-color: var(--ion-foreground-color);
      padding: 25px 25px 35px;
      border-radius: 15px;
      min-width: 300px;

      .transaction-block {
        max-width: 400px;
        min-width: 240px;

        .transaction-main-header {
          display: block;
          width: 100%;
          padding: 0 0 15px;

          .header-title {
            display: inline-block;
            font-weight: 600;
            font-size: 18px;
          }

          .header-right-btn-group {
            margin-top: -5px;
            float: right;

            .logo-btn {
              display: inline-block;
              width: 35px;
              height: 35px;
              cursor: pointer;
              padding: 5px;
              margin: 0 0 0 5px;

              .logo-img {
                filter: var(--fg-svg);
              }

              &:hover {
                background-color: var(--ion-color-primary);
                border-radius: 25%;
              }
            }
          }
        }

        .transaction-subblock-wrapper {
          padding: 5px 0;

          .transaction-subblock {
            position: relative;
            width: 100%;
            border: solid 1px var(--ion-color-light-shade);
            border-radius: 15px;
            padding: 20px;

            .transaction-secondary-header {
              display: block;
              width: 100%;
              font-weight: 600;
            }

            .qr-block {
              display: block;
              text-align: center;
              padding: 20px 0;
            }

            .secondary-header {
              font-size: 15px;
              color: var(--ion-color-medium-shade);
              font-weight: 500;
              padding: 0 0 7px;
            }

            .address {
              font-size: 13px;
            }

            .copy-btn-block {
              padding: 20px 0 10px;

              .copy-btn {
                margin: 0;
                font-weight: 600;
                --border-radius: 10px;
                --padding-top: 25px;
                --padding-bottom: 25px;
              }
            }

            .balance {
              font-weight: 600;

              .received-balance-wrapper {
                display: block;

                .received-balance {
                  display: inline-block;
                  padding-right: 5px;

                  &.success {
                    color: var(--ion-color-success);
                  }
                }

                .received-balance-price {
                  display: inline-block;
                  color: var(--ion-color-medium-shade);
                }
              }

              .expected-balance-wrapper {
                display: block;
                font-size: 12px;
                font-weight: 400;
                color: var(--ion-color-medium-shade);
                padding-top: 3px;

                .expected-balance {
                  display: inline-block;
                  padding-right: 5px;

                  &.balance-highlight {
                    color: var(--ion-color-warning-shade);
                    font-weight: 600;
                    font-size: 16px;
                  }
                }

                .expected-balance-price {
                  display: inline-block;
                  color: var(--ion-color-medium-shade);
                }
              }
            }

            .wait-indicator {
              color: var(--ion-color-medium-shade);
              text-align: center;
              font-size: 10px;
              padding: 10px 0 0;
            }
          }
        }
      }
    }
  }
}
